[arch-commits] Commit in python-zope-copy/repos/community-staging-any (2 files)

Evangelos Foutras foutrelis at archlinux.org
Thu Nov 12 18:00:38 UTC 2020


    Date: Thursday, November 12, 2020 @ 18:00:37
  Author: foutrelis
Revision: 752907

archrelease: copy trunk to community-staging-any

Added:
  python-zope-copy/repos/community-staging-any/PKGBUILD
    (from rev 752906, python-zope-copy/trunk/PKGBUILD)
Deleted:
  python-zope-copy/repos/community-staging-any/PKGBUILD

----------+
 PKGBUILD |   60 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-12 18:00:34 UTC (rev 752906)
+++ PKGBUILD	2020-11-12 18:00:37 UTC (rev 752907)
@@ -1,30 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-zope-copy
-pkgver=4.2
-pkgrel=4
-pkgdesc="Pluggable object copying mechanism"
-arch=('any')
-url="https://github.com/zopefoundation/zope.copy"
-license=('ZPL')
-depends=('python-setuptools' 'python-zope-interface')
-checkdepends=('python-zope-testrunner' 'python-zope-testing' 'python-zope-location')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/zopefoundation/zope.copy/archive/$pkgver.tar.gz")
-sha512sums=('99c1062bdad919c0aa8f1daf1f7a2af1e42227a2a22e4a983eb848edf6be144fec97b9f7dd43d592121c8e72c3525b316e7367e226a33e97272061b666fb466b')
-
-build() {
-  cd "$srcdir"/zope.copy-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd "$srcdir"/zope.copy-$pkgver
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m zope.testrunner --test-path=src || echo "Tests failed"
-}
-
-package() {
-  cd "$srcdir"/zope.copy-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-zope-copy/repos/community-staging-any/PKGBUILD (from rev 752906, python-zope-copy/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-12 18:00:37 UTC (rev 752907)
@@ -0,0 +1,30 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-zope-copy
+pkgver=4.2
+pkgrel=5
+pkgdesc="Pluggable object copying mechanism"
+arch=('any')
+url="https://github.com/zopefoundation/zope.copy"
+license=('ZPL')
+depends=('python-setuptools' 'python-zope-interface')
+checkdepends=('python-zope-testrunner' 'python-zope-testing' 'python-zope-location')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/zopefoundation/zope.copy/archive/$pkgver.tar.gz")
+sha512sums=('99c1062bdad919c0aa8f1daf1f7a2af1e42227a2a22e4a983eb848edf6be144fec97b9f7dd43d592121c8e72c3525b316e7367e226a33e97272061b666fb466b')
+
+build() {
+  cd "$srcdir"/zope.copy-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd "$srcdir"/zope.copy-$pkgver
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m zope.testrunner --test-path=src || echo "Tests failed"
+}
+
+package() {
+  cd "$srcdir"/zope.copy-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list